facenumbering.h File Reference

Describes the way in which subdim-faces are numbered within a dim-dimensional simplex. More...

`#include "triangulation/detail/facenumbering.h"`

## Classes

class | regina::FaceNumbering< dim, subdim >
| Specifies how subdim-faces are numbered within a dim-dimensional simplex. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

int | regina::binomSmall (int n, int k)
| Returns the binomial coefficient choose k for small arguments n and k. More...
template<int dim>
int | regina::faceOppositeEdge (int i, int j)
| Returns the (dim-2)-face number that is opposite the edge joining vertices i and j in a dim-dimensional simplex. More...

## Detailed Description

Describes the way in which subdim-faces are numbered within a dim-dimensional simplex.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).